@echo off
echo.
echo               English Blinker 3.1 to Blinker 3.2 update
echo               -----------------------------------------
echo.
echo This process requires this file UPDATE.BAT, the archive file BLI320EN.EXE
echo and approximately 1.5 MB of available disk space on the current drive. It
echo also requires the Blinker 3.1 files BLINKER.EXE and BLINKER.NG to be in
echo the current directory OR the directory specified as the parameter to this
echo batch file.
echo.
if '%1' == '' goto help
if exist blinker.exe goto upd010
if exist %1\blinker.exe goto upd010
echo File %1\BLINKER.EXE does not exist - this file is REQUIRED for
echo this update to succeed.
echo.
goto fail
:upd010
if exist blinker.ng goto upd020
if exist %1\blinker.ng goto upd020
echo File %1\BLINKER.NG does not exist so a new BLINKER.NG will
echo NOT be created.
echo 
:upd020
if exist bli320en.exe goto upd030
echo File BLI320EN.EXE does not exist - it should be in the current directory.
echo.
goto fail
:upd030
echo About to create updated files
echo.
pause
if '%1' == '.' goto upd040
if not exist blinker.exe copy %1\blinker.exe
if not exist blinker.ng  copy %1\blinker.ng
:upd040
if exist 3rdparty.txt del 3rdparty.txt
bli320en
blibld
echo.
patch bli320en
echo.
if errorlevel 1 goto upd050
echo                Blinker 3.2 has been successfully installed
echo                -------------------------------------------
echo.
echo Be sure to update your LIB, PATH and OBJ environment settings to reflect
echo the new path for Blinker 3.2.
echo.
echo If you wish to conserve disk space you may now delete the archive files
echo BLI320EN.ZIP, BLI320EN.EXE, BLI320EN.RTP, BLIBLD.EXE and PATCH.EXE.
echo.
goto exit
:upd050
echo ***** The Blinker 3.2 update was NOT completed successfully *****
echo.
echo If the BLINKER.EXE has not been updated then please check that
echo the path specified points to Blinker 3.1 as that is the only
echo the version which can be updated to 3.2.
echo.
echo If the BLINKER.EXE was updated successfully then only the BLINKER.NG
echo file will not have been updated and Blinker 3.2 will still execute
echo correctly. If you wish to update BLINKER.NG please ensure that the
echo path specified points to the Blinker 3.1 BLINKER.NG.
echo 
goto exit
:help
echo Syntax :
echo            Current directory with the 3.2 files UPDATE.BAT and BLI320.EXE
echo.
echo            UPDATE d:\path
echo.
echo            Where d:   is the drive
echo                  path is the path where BLINKER.EXE and BLINKER.NG from
echo                                   *** Blinker 3.1 *** are installed.
echo.
echo Examples : UPDATE .          Update the current directory containing
echo                              Blinker 3.1 to Blinker 3.2.
echo.
echo            UPDATE C:\B310    Update the current directory to Blinker
echo                              3.2 with Blinker 3.1 in C:\B310.
echo 
goto exit
:fail
echo ***** The Blinker 3.2 update was NOT completed successfully *****
:exit
